Bug 1302562 - Add a popup notification when importing an image from an external provider, similar to the one we get when importing a VM from an export domain
Add a popup notification when importing an image from an external provider, s...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
3.6.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.1.0-beta
: 4.1.0.2
Assigned To: Tal Nisan
Raz Tamir
:
Depends On:
Blocks: 1310642
  Show dependency treegraph
 
Reported: 2016-01-28 03:04 EST by Ilanit Stein
Modified: 2017-02-01 09:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1310642 (view as bug list)
Environment:
Last Closed: 2017-02-01 09:50:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
rule-engine: planning_ack+
tnisan: devel_ack+
ratamir: testing_ack+


Attachments (Terms of Use)
import_vm_from_export_domain_notification (13.30 KB, image/png)
2016-02-22 07:26 EST, Idan Shaby
no flags Details
The new popup window after the fix (17.96 KB, image/png)
2017-01-11 07:25 EST, Tal Nisan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 69996 master MERGED webadmin: Show popup upon import of images from external provider 2017-01-11 13:00 EST
oVirt gerrit 70046 ovirt-engine-4.1 MERGED webadmin: Show popup upon import of images from external provider 2017-01-11 14:46 EST

  None (edit)
Description Ilanit Stein 2016-01-28 03:04:23 EST
Description of problem:
When importing image from external provider (for example from glance),

- There is no notification, like when importing from export domain, the import can be tracked in the event tab.

- when marking Import as template check box,
there is no indication in the events indicating it will be imported as template.
Event log:
Jan 28, 2016 7:49:52 AM
User admin@internal successfully imported image GlanceDisk-0b545df to domain data1.
Jan 28, 2016 7:49:52 AM
Template GlanceTemplate-82bd975 was created successfully.
Jan 28, 2016 7:49:17 AM
User admin@internal importing image GlanceDisk-0b545df to domain data1.


Version-Release number of selected component (if applicable):
rhevm 3.6.2-10

How reproducible:
always
Comment 1 Idan Shaby 2016-02-22 07:26 EST
Created attachment 1129294 [details]
import_vm_from_export_domain_notification
Comment 2 Idan Shaby 2016-02-22 07:27:14 EST
Let's keep this BZ for tracking the notification issue, and BZ 1310642 to track the Events/Tasks tab message.

Regarding the notification, indeed when importing a vm from an export domain, we get a notification (attached is a screenshot).
The question is, do we want to add a similar notification for the case of importing an image from Glance, or maybe we should remove this notification from the export domain scenario?
Eldan, what do you think?
Comment 3 Eldan Hildesheim 2016-02-24 11:25:11 EST
We should add this scenario to the notification as well.
I don't see any difference between the 2 scenarios.
E
Comment 4 Tal Nisan 2017-01-11 07:25 EST
Created attachment 1239417 [details]
The new popup window after the fix
Comment 5 Raz Tamir 2017-01-22 14:20:04 EST
Verified on ovirt-engine-4.1.0.3-0.0.master.20170122091652.gitc6fc2c2.el7.centos.noarch

A new popup message is now exists when importing an image from external provider (Glance in my verification):
"Import process has begun for the image(s): 
-rhv40_el72_ge_Disk1.
You can check import status in the main 'Events' tab or in the 'Events' or 'Tasks' tabs in the footer pane."

Note You need to log in before you can comment on or make changes to this bug.